Subject: bug#255: afterstep unable to load

From: Kristopher John Gamrat <[email-masked]>
Date: Sun, 11 Nov 2018 11:01:25 -0500

Package: afterstep
Version: 2.2.12-9

I am running Devuan Ascii with all updates applied as of 11 November 2018. 
Afterstep seems unable to run: I see the Afterstep loading screen, but it 
immediately fails and returns me to the login manager. Pasted below is my 
~/.xsession-errors file with my user name scrubbed. As far as I can tell, 
there is no "core dump" with which to use gdb on, so I cannot provide any 
other "results" as suggested at the end of my ~/.xsession-errors file.

Xsession: X session started for <username> at Wed Nov  7 21:52:35 EST 2018
localuser:<username> being added to access control list
Error: couldn't find RGB GLX visual or fbconfig
OpenGL version not found.
dbus-update-activation-environment: systemd --user not found, 
ignoring --systemd argument
dbus-update-activation-environment: setting DM_CONTROL=/var/run/xdmctl
dbus-update-activation-environment: setting USER=<username>
dbus-update-activation-environment: setting 
XDM_MANAGED=/var/run/xdmctl/xdmctl-:0,maysd,mayfn,sched,rsvd,method=classic
dbus-update-activation-environment: setting HOME=/home/<username>
dbus-update-activation-environment: setting 
XDG_SESSION_COOKIE=a6fd0f5b5a31d78e00d761b25a7dc2dc-1541645554.969384-947389119
dbus-update-activation-environment: setting DESKTOP_SESSION=AfterStep
dbus-update-activation-environment: setting LOGNAME=<username>
dbus-update-activation-environment: setting XDG_SESSION_CLASS=greeter
dbus-update-activation-environment: setting 
PATH=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games
dbus-update-activation-environment: setting DISPLAY=:0
dbus-update-activation-environment: setting LANG=en_US.UTF-8
dbus-update-activation-environment: setting XDG_SESSION_DESKTOP=AfterStep
dbus-update-activation-environment: setting SHELL=/bin/zsh
dbus-update-activation-environment: setting PWD=/home/<username>
dbus-update-activation-environment: setting SHLVL=1
dbus-update-activation-environment: setting OLDPWD=/home/<username>
dbus-update-activation-environment: setting 
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-o2UmaIsEmR,guid=6660d2e5da51908390699c785be3a4fa
dbus-update-activation-environment: setting 
GPG_AGENT_INFO=/home/<username>/.gnupg/S.gpg-agent:0:1
dbus-update-activation-environment: setting 
_=/usr/bin/dbus-update-activation-environment
afterstep ERROR: Failed to register as a client with the Gnome Session 
Manager. DBus error: The name org.gnome.SessionManager was not provided by 
any .service files
afterstep ERROR: Cannot open 
file /home/<username>/.afterstep/non-configurable/workspace_state for 
writing!
 Please check permissions or contact your sysadmin !
number of items in /usr/share/afterstep/applications = 18
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /var/lib/menu-xdg = 4
number of items in /var/lib/menu-xdg/xsessions = 1
number of items in /var/lib/menu-xdg/menus = 1
number of items in /var/lib/menu-xdg/applications = 1
number of items in /var/lib/menu-xdg/applications/menu-xdg = 221
number of items in /var/lib/menu-xdg/desktop-directories = 1
number of items in /var/lib/menu-xdg/desktop-directories/menu-xdg = 44
afterstep ERROR: unable to locate the fixed menu directory at "(null)"
Segmentation Fault trapped in afterstep.
 Call Backtrace :
 CALL#: ADDRESS:    FUNCTION:
     1  0xb75c7b20  [/usr/lib/i386-linux-gnu/libAfterBase.so.0(+0x13b20) 
[0xb75c7b20]]
     2  0xb7718d04  [linux-gate.so.1(__kernel_sigreturn+0) [0xb7718d04]]
     3  0x806a596  [/usr/bin/afterstep(dirtree_fill_from_reference+0x96) 
[0x806a596]]
     4  0x806af54  [/usr/bin/afterstep(dirtree_parse+0x894) [0x806af54]]
     5  0x806b014  [/usr/bin/afterstep(dirtree_parse_include+0xb4) 
[0x806b014]]
     6  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
     7  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
     8  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
     9  0x806aa78  [/usr/bin/afterstep(dirtree_parse+0x3b8) [0x806aa78]]
    10  0x806b014  [/usr/bin/afterstep(dirtree_parse_include+0xb4) 
[0x806b014]]
    11  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
    12  0x8063672  [/usr/bin/afterstep(MeltStartMenu+0xf2) [0x8063672]]
    13  0x80644fa  [/usr/bin/afterstep(LoadASConfig+0xb8a) [0x80644fa]]
    14  0x80584ff  [/usr/bin/afterstep(main+0x3ff) [0x80584ff]]
    15  0xb701d286  [/lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf6) 
[0xb701d286]]
    16  0x8058886  [/usr/bin/afterstep() [0x8058886]]
Please collect all the listed information and submit a bug report to 
<[email-masked]>.
If core dump was generated by this fault, please examine it with gdb and 
attach results to your report.
 You can use the following sequence to do so :
   gdb -core core /usr/bin/afterstep
   gdb>backtrace
   gdb>info frame
   gdb>info all-registers
   gdb>disassemble